Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.compiler
Class MethodMap

    java.lang.Object
      com.sun.squawk.compiler.MethodMap

    public class MethodMap

extends Object

Oopmap table.

Constructor Summary
`MethodMap()` The constructor.

Method Summary
`byte[]` | `getLocalOopMap()` Get an oopmap for the local variables.
`int` | `getLocalSlotCount()` Get the count of locals allocaed.
`byte[]` | `getParameterOopMap()` Get an oopmap for the parameter variables.
`int` | `getParameterSlotCount()` Get the count of parameters allocaed.
`void` | `setup(int localSlotCount, byte[] localOopMap, int parameterSlotCount, byte[] parameterOopMap)` Set the contants of the method map from the code generator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodMap

    public MethodMap()

  The constructor.

Method Detail

### setup

    public void setup(int localSlotCount,
                      byte[] localOopMap,
                      int parameterSlotCount,
                      byte[] parameterOopMap)

  Set the contants of the method map from the code generator.

### getLocalSlotCount

    public int getLocalSlotCount()

  Get the count of locals allocaed.

  Returns:
    the number allocated

### getLocalOopMap

    public byte[] getLocalOopMap()

  Get an oopmap for the local variables.

  Returns:
    the oopmap

### getParameterSlotCount

    public int getParameterSlotCount()

  Get the count of parameters allocaed.

  Returns:
    the number allocated

### getParameterOopMap

    public byte[] getParameterOopMap()

  Get an oopmap for the parameter variables.

  Returns:
    the oopmap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"